/**
 * gclc:fr.bigeon.gclc.manager.ReadRunnable.java
 * Created on: Nov 21, 2016
 */
package fr.bigeon.gclc.manager;

import java.io.BufferedReader;
import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 * <p>
 * TODO
 *
 * @author Emmanuel Bigeon
 *
 */
public class ReadRunnable implements Runnable {

    /** The logger */
    private static final Logger LOGGER = Logger
            .getLogger(ReadRunnable.class.getName());
    /** The result */
    private String result = "";
    /** The input buffer */
    private final BufferedReader in;

    /** @param in the input buffer */
    protected ReadRunnable(BufferedReader in) {
        super();
        this.in = in;
    }

    /* (non-Javadoc)
     * @see java.lang.Runnable#run() */
    @Override
    public void run() {
        try {
            result = in.readLine();
            while (result != null && result.length() > 0 &&
                   result.charAt(0) == 0) {
                result = result.substring(1);
            }
        } catch (final IOException e) {
            LOGGER.log(Level.SEVERE, "Unable to read prompt", e); //$NON-NLS-1$
        }
    }

    /** @return the result */
    public String getResult() {
        return result;
    }
}
